#ifndef XMATERIALPIXERHSHADER_H
#define XMATERIALPIXERHSHADER_H

#include "xasset.h"
#include "xmaterialpixelshaderprogram.h"

class XMaterialPixelShader : public XAsset
{
public:
    explicit XMaterialPixelShader();
    ~XMaterialPixelShader();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    QString mName;
    XMaterialPixelShaderProgram mShaderProgram;
};

#endif // XMATERIALPIXERHSHADER_H
